#ifndef CUSTOMITEM_H
#define CUSTOMITEM_H

#include <QQuickPaintedItem>

class CustomItem : public QQuickPaintedItem
{
    Q_OBJECT
    Q_PROPERTY(QColor color MEMBER color)

private:
    QTimer *timer;
    QColor color;
    int frame = 0, cframe = 0;

public:
    CustomItem(QQuickItem *parent = nullptr);

protected:
    virtual void mousePressEvent(QMouseEvent *ev);
    virtual void paint(QPainter *p);

public slots:
    void onSizeChanged();
};

#endif
